> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coldsend.pro/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> Get paginated delivery log for a webhook.



## OpenAPI

````yaml /public_openapi.json get /api/public/v1/webhooks/{webhook_id}/deliveries
openapi: 3.0.3
info:
  title: ColdSend Public API
  description: >-
    Programmatic access to ColdSend for managing cold email campaigns and sender
    accounts.
  version: 1.0.0
  contact:
    name: ColdSend Support
    email: support@coldsend.pro
    url: https://coldsend.pro
servers:
  - url: https://api.coldsend.pro
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /api/public/v1/webhooks/{webhook_id}/deliveries:
    get:
      tags:
        - Webhooks
      summary: List webhook deliveries
      description: Get paginated delivery log for a webhook.
      operationId: list_deliveries_api_public_v1_webhooks__webhook_id__deliveries_get
      parameters:
        - name: webhook_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Webhook Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Page Size
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookDeliveryListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    WebhookDeliveryListResponse:
      properties:
        success:
          type: boolean
          title: Success
          default: true
        data:
          items:
            $ref: '#/components/schemas/WebhookDeliveryResponse'
          type: array
          title: Data
        count:
          type: integer
          title: Count
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
      type: object
      required:
        - data
        - count
        - page
        - page_size
      title: WebhookDeliveryListResponse
      description: Paginated delivery log.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebhookDeliveryResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        event_id:
          type: string
          format: uuid
          title: Event Id
        delivery_id:
          type: string
          format: uuid
          title: Delivery Id
        event_type:
          type: string
          title: Event Type
        attempt_number:
          type: integer
          title: Attempt Number
        status:
          type: string
          title: Status
        response_code:
          type: integer
          nullable: true
          title: Response Code
        error:
          type: string
          nullable: true
          title: Error
        attempted_at:
          type: string
          format: date-time
          nullable: true
          title: Attempted At
        delivered_at:
          type: string
          format: date-time
          nullable: true
          title: Delivered At
      type: object
      required:
        - id
        - event_id
        - delivery_id
        - event_type
        - attempt_number
        - status
      title: WebhookDeliveryResponse
      description: Webhook delivery attempt response.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key with format cs_live_xxx

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.